[Icecast] Is something wrong with ices 2.0-kh60a?

Karl Heyes karl at xiph.org
Thu Jun 29 15:57:56 PDT 2006


Frédéric Brière wrote:
> On Sat, Apr 22, 2006 at 01:45:27PM +0100, Karl Heyes wrote:
>>> I should point out that the server is 2.0.0.  (Yeah, I know how old that
>>> is.  Unfortunately, I only manage the client; the server is out of my
>>> hands.)  Has anything changed in 2.0-kh60a that would require a more
>>> recent version of icecast?
>> wow, v2.0.0 is old, won't make a difference for the problem above but 
>> other issues could show up.
> 
> BTW, we just upgraded to 2.3.0 today, and kh60a still refuses to
> connect.  Anything I can do to help?

2.3.1 is the latest icecast release, has been for some time, although we 
should really push for a 2.3.2 bugfix release.

Make sure you have the libshout 2.2.2 release. libshout does the actual 
connection and the non-blocking connect, which my branch uses, became 
broken, there was also a memory corruption bug.  These are fixed in 
2.2.2 but if there are other issues then by all means let me know.


karl.



More information about the Icecast mailing list